Saltar al contenido

Get an opportunity alert

Módulo Gateway

GET/opportunity-alerts/{id}opportunityAlerts.get

An alert raised for a saved search. Returns one opportunity alert with its `ETag`. A opportunity alert the caller may not see returns 404.

  • Requiere la capacidad me.notifications.write.
  • Alcances de OAuth: me.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

opportunityAlerts.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the opportunity alert.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: OpportunityAlert

opportunityAlerts.get: OpportunityAlert
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the opportunity alert.
created_atstring (date-time)SíWhen the row was created.
updated_atstring (date-time)SíWhen the row was last updated.
saved_search_idstring (uuid)SíIdentifier of the saved search.
opportunity_idstring (uuid)SíIdentifier of the opportunity.
delivered_atstring (date-time) | nullSíWhen the alert was sent.
matched_atstring (date-time)SíWhen the match was found.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "updated_at": "2026-10-08T14:30:00Z",
  "saved_search_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "opportunity_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "delivered_at": "2026-10-08T14:30:00Z",
  "matched_at": "2026-10-08T14:30:00Z"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/opportunity-alerts/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.opportunityAlerts.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.opportunity_alerts.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos opportunity-alerts get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f